Skip to main content
`Ctrl`+`K`

# TSComputeRHSFunctionLinear

Evaluate the right-hand side via the user-provided Jacobian, for linear problems Udot = A U only

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSFunctionLinear(TS ts, PetscReal t, Vec U, Vec F, PetscCtx ctx)

Collective

## Input Parameters

- ts - time stepping context

- t - time at which to evaluate

- U - state at which to evaluate

- ctx - context

## Output Parameter

- F - right-hand side

## Note

This function is intended to be passed to `TSSetRHSFunction()` to evaluate the right-hand side for linear problems. The matrix (and optionally the evaluation context) should be passed to `TSSetRHSJacobian()`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSFunction()`, `TSSetRHSJacobian()`, `TSComputeRHSJacobianConstant()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex6.c
src/ts/tutorials/ex74.c
src/ts/tutorials/ex5.c
src/ts/tutorials/ex3.c
src/ts/tutorials/ex4.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages